import request from '@/utils/request';
//获取所有角色
export function getAlarm (queryParams:any){
    return request({
      url: '/basedata/substation-device/getAlarmThresholdList' ,
      method: 'get',
      params:queryParams
    });
  }
  //获取所有角色
export function getSubstation (){
    return request({
      url: '/basedata/substation/getSubstationBayTree' ,
      method: 'get',
    });
  }
  //批量修改警告阈值
export function setAlgorithmModel(params:any){
    return request({
      url: '/basedata/alarm-threshold/setAlgorithmModel' ,
      method: 'post',
      data:params
    });
    
  }
    //批量修改警告阈值
export function getAlgorithmModelById(params:any){
  return request({
    url: '/basedata/alarm-threshold/getAlgorithmModelById' ,
    method: 'get',
    params:params
  });
}